# SWGBatchApi

All URIs are relative to *https://api.browshot.com/api/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**batchCeatePost**](SWGBatchApi.md#batchceatepost) | **POST** /batch/ceate | Requests thousands of screenshtos at once
[**batchInfoGet**](SWGBatchApi.md#batchinfoget) | **GET** /batch/info | Get the batch status


# **batchCeatePost**
```objc
-(NSNumber*) batchCeatePostWithInstanceId: (NSNumber*) instanceId
    file: (NSURL*) file
    size: (NSString*) size
    name: (NSString*) name
    width: (NSNumber*) width
    height: (NSNumber*) height
    delay: (NSNumber*) delay
    flashDelay: (NSNumber*) flashDelay
    screenWidth: (NSNumber*) screenWidth
    screenHeight: (NSNumber*) screenHeight
    priority: (NSNumber*) priority
    referer: (NSString*) referer
    postData: (NSString*) postData
    cookie: (NSString*) cookie
    script: (NSString*) script
    details: (NSNumber*) details
    html: (NSNumber*) html
    maxWait: (NSNumber*) maxWait
    headers: (NSString*) headers
    format: (NSString*) format
    shots: (NSNumber*) shots
    shotInterval: (NSNumber*) shotInterval
        completionHandler: (void (^)(NSArray<SWGBatch>* output, NSError* error)) handler;
```

Requests thousands of screenshtos at once

Get hundreds or thousands of screenshots from a text file. You can use this API call or the dashboard. Unlike the other API calls, you must issue a POST request with the Content-Type \"multipart/form-data\" in order to upload the text file. The text file must contain the list of URLs to request, 1 URL per line. Failed screenshots will be tried up to 3 times before giving up. 

### Example 
```objc
SWGConfiguration *apiConfig = [SWGConfiguration sharedConfig];

// Configure API key authorization: (authentication scheme: apiKeyQuery)
[apiConfig setApiKey:@"YOUR_API_KEY" forApiKeyIdentifier:@"key"];
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//[apiConfig setApiKeyPrefix:@"Bearer" forApiKeyIdentifier:@"key"];


NSNumber* instanceId = @56; // instance ID to use
NSURL* file = [NSURL fileURLWithPath:@"/path/to/file.txt"]; // text file to use (optional)
NSString* size = @"screen"; // screenshots size - \"screen\" (default) or \"page\" (optional) (default to screen)
NSString* name = @"name_example"; // name of the batch (optional)
NSNumber* width = @1024; // thumbnail width. (optional) (default to 1024)
NSNumber* height = @56; // thumbnail height (optional)
NSNumber* delay = @5; // number of seconds to wait after the page has loaded. This is used to let JavaScript run longer before taking the screenshot. Use delay=0 to take screenshots faster. (optional) (default to 5)
NSNumber* flashDelay = @10; // number of seconds to wait after the page has loaded if Flash elements are present. Use flash_delay=0 to take screenshots faster. (optional) (default to 10)
NSNumber* screenWidth = @1024; // width of the browser window. For desktop browsers only. (optional) (default to 1024)
NSNumber* screenHeight = @768; // height of the browser window. For desktop browsers only. (Note: full-page screenshots can have a height of up to 15,000px) (optional) (default to 768)
NSNumber* priority = @56; // assign priority to the screenshot (for private instances only) (optional)
NSString* referer = @"referer_example"; // use a custom referrer header - paid screenshots only (optional)
NSString* postData = @"postData_example"; // send a POST requests with post_data, useful for filling out forms - paid screenshots only (optional)
NSString* cookie = @"cookie_example"; // set a cookie for the URL requested (see Custom POST Data, Referer and Cookie) Cookies should be separated by a ; - paid screenshots only (optional)
NSString* script = @"script_example"; // URL of javascript file to execute after the page load event (optional)
NSNumber* details = @2; // level of information available with screenshot/info (optional) (default to 2)
NSNumber* html = @0; // saves the HTML of the rendered page which can be retrieved by the API call screenshot/html. This feature costs *1 credit* per screenshot. (optional) (default to 0)
NSNumber* maxWait = @0; // maximum number of seconds to wait before triggering the PageLoad event. Note that delay will still be used. (default: 0 = disabled) (optional) (default to 0)
NSString* headers = @"headers_example"; // any custom HTTP headers. (Not supported with Internet Explorer) (optional)
NSString* format = @"png"; // image as PNG or JPEG (optional) (default to png)
NSNumber* shots = @1; // take multiple screenshots of the same page. This costs 1 additional credit for every 2 additional screenshots. (optional) (default to 1)
NSNumber* shotInterval = @5; // number of seconds between 2 screenshots (optional) (default to 5)

SWGBatchApi*apiInstance = [[SWGBatchApi alloc] init];

// Requests thousands of screenshtos at once
[apiInstance batchCeatePostWithInstanceId:instanceId
              file:file
              size:size
              name:name
              width:width
              height:height
              delay:delay
              flashDelay:flashDelay
              screenWidth:screenWidth
              screenHeight:screenHeight
              priority:priority
              referer:referer
              postData:postData
              cookie:cookie
              script:script
              details:details
              html:html
              maxWait:maxWait
              headers:headers
              format:format
              shots:shots
              shotInterval:shotInterval
          completionHandler: ^(NSArray<SWGBatch>* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGBatchApi->batchCeatePost: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **instanceId** | **NSNumber***| instance ID to use | 
 **file** | **NSURL***| text file to use | [optional] 
 **size** | **NSString***| screenshots size - \&quot;screen\&quot; (default) or \&quot;page\&quot; | [optional] [default to screen]
 **name** | **NSString***| name of the batch | [optional] 
 **width** | **NSNumber***| thumbnail width. | [optional] [default to 1024]
 **height** | **NSNumber***| thumbnail height | [optional] 
 **delay** | **NSNumber***| number of seconds to wait after the page has loaded. This is used to let JavaScript run longer before taking the screenshot. Use delay&#x3D;0 to take screenshots faster. | [optional] [default to 5]
 **flashDelay** | **NSNumber***| number of seconds to wait after the page has loaded if Flash elements are present. Use flash_delay&#x3D;0 to take screenshots faster. | [optional] [default to 10]
 **screenWidth** | **NSNumber***| width of the browser window. For desktop browsers only. | [optional] [default to 1024]
 **screenHeight** | **NSNumber***| height of the browser window. For desktop browsers only. (Note: full-page screenshots can have a height of up to 15,000px) | [optional] [default to 768]
 **priority** | **NSNumber***| assign priority to the screenshot (for private instances only) | [optional] 
 **referer** | **NSString***| use a custom referrer header - paid screenshots only | [optional] 
 **postData** | **NSString***| send a POST requests with post_data, useful for filling out forms - paid screenshots only | [optional] 
 **cookie** | **NSString***| set a cookie for the URL requested (see Custom POST Data, Referer and Cookie) Cookies should be separated by a ; - paid screenshots only | [optional] 
 **script** | **NSString***| URL of javascript file to execute after the page load event | [optional] 
 **details** | **NSNumber***| level of information available with screenshot/info | [optional] [default to 2]
 **html** | **NSNumber***| saves the HTML of the rendered page which can be retrieved by the API call screenshot/html. This feature costs *1 credit* per screenshot. | [optional] [default to 0]
 **maxWait** | **NSNumber***| maximum number of seconds to wait before triggering the PageLoad event. Note that delay will still be used. (default: 0 &#x3D; disabled) | [optional] [default to 0]
 **headers** | **NSString***| any custom HTTP headers. (Not supported with Internet Explorer) | [optional] 
 **format** | **NSString***| image as PNG or JPEG | [optional] [default to png]
 **shots** | **NSNumber***| take multiple screenshots of the same page. This costs 1 additional credit for every 2 additional screenshots. | [optional] [default to 1]
 **shotInterval** | **NSNumber***| number of seconds between 2 screenshots | [optional] [default to 5]

### Return type

[**NSArray<SWGBatch>***](SWGBatch.md)

### Authorization

[apiKeyQuery](../README.md#apiKeyQuery)

### HTTP request headers

 - **Content-Type**: multipart/form-data
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **batchInfoGet**
```objc
-(NSNumber*) batchInfoGetWithId: (NSNumber*) _id
        completionHandler: (void (^)(SWGBatch* output, NSError* error)) handler;
```

Get the batch status

Get the status of a batch requested through the API or through the dashboard. 

### Example 
```objc
SWGConfiguration *apiConfig = [SWGConfiguration sharedConfig];

// Configure API key authorization: (authentication scheme: apiKeyQuery)
[apiConfig setApiKey:@"YOUR_API_KEY" forApiKeyIdentifier:@"key"];
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//[apiConfig setApiKeyPrefix:@"Bearer" forApiKeyIdentifier:@"key"];


NSNumber* _id = @56; // batch ID

SWGBatchApi*apiInstance = [[SWGBatchApi alloc] init];

// Get the batch status
[apiInstance batchInfoGetWithId:_id
          completionHandler: ^(SWGBatch* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGBatchApi->batchInfoGet: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **_id** | **NSNumber***| batch ID | 

### Return type

[**SWGBatch***](SWGBatch.md)

### Authorization

[apiKeyQuery](../README.md#apiKeyQuery)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

